#ifndef WXNC_DIALOG_HPP
#define WXNC_DIALOG_HPP 1

#include <wxnc/color.hpp>
#include <wxnc/toplevel.hpp>
#include <wx/defs.h>
#include <wx/dialog.h>
#include <wx/gdicmn.h>
#include <wx/string.h>

class wxncWindow;

class wxncDialog : public wxncTopLevelWindow {
    public:
	wxncDialog(wxncWindow *, wxWindowID, const wxString &,
		const wxPoint & = wxDefaultPosition,
		const wxSize & = wxDefaultSize, long = wxDEFAULT_DIALOG_STYLE,
		const wxString & = wxT("dialogBox"));
	virtual ~wxncDialog(void);
};

#endif /* WXNC_DIALOG_HPP */
