#ifndef WXNC_MENU_HPP
#define WXNC_MENU_HPP 1

#include <list>
#include <wxnc/window.hpp>
#include <wx/string.h>

class wxncMenuItem;
class wxncStaticText;

class wxncMenu : public wxncWindow {
    public:
	wxncMenu(const wxString & = wxEmptyString, long = 0);
	virtual ~wxncMenu(void);
	virtual wxString GetTitle(void) const;
	virtual void SetTitle(const wxString &);
	void RecalcSizes(void);
	void Layout(void);
	void Update(void);

    protected:
	wxncStaticText *m_title;
	std::list<wxncMenuItem *> item_list;

    private:
	void render_children(int, int, int, int);
};

#endif /* WXNC_MENU_HPP */
