#ifndef WXNC_BUTTON_HPP
#define WXNC_BUTTON_HPP 1

#include <wxnc/window.hpp>
#include <wx/defs.h>
#include <wx/gdicmn.h>
#include <wx/string.h>

class wxncStaticText;

class wxncButton : public wxncWindow {
    public:
	wxncButton(wxncWindow *, wxWindowID, const wxString & = wxEmptyString,
		const wxPoint & = wxDefaultPosition,
		const wxSize & = wxDefaultSize, long = 0);
	void RecalcSizes(void);
	void Layout(void);
	void Update(void);

    protected:
	wxncStaticText *m_label;

    private:
	DECLARE_NO_COPY_CLASS(wxncButton);
};

#endif /* WXNC_BUTTON_HPP */
