#ifndef WXNC_MENUBAR_HPP
#define WXNC_MENUBAR_HPP 1

#include <list>
#include <wxnc/window.hpp>

class wxncMenu;
class wxString;

class wxncMenuBar : public wxncWindow {
    public:
	wxncMenuBar(long = 0);
	virtual ~wxncMenuBar(void);
	virtual bool Append(wxncMenu *, const wxString &);
	void RecalcSizes(void);
	void Layout(void);
	void Update(void);

    protected:
	std::list<wxncMenu *> menu_list;

    private:
	void render_background(int, int, int, int);
};

#endif /* WXNC_MENUBAR_HPP */
