#ifndef WXNC_STATUSBAR_HPP
#define WXNC_STATUSBAR_HPP 1

#include <wxnc/window.hpp>
#include <wx/defs.h>
#include <wx/string.h>

class wxncStatusBar : public wxncWindow {
    public:
	wxncStatusBar(wxncWindow *, wxWindowID = wxID_ANY,
		long = wxST_SIZEGRIP, const wxString & = wxT("statusBar"));
	virtual ~wxncStatusBar(void);
	void SetFieldsCount(unsigned int = 1, const int * = NULL);
	void SetStatusText(const wxString &, int = 0);
	void Update(void);

    protected:
	bool m_sizegrip;
	wxString m_text;
};

#endif /* WXNC_STATUSBAR_HPP */
