#ifndef WXNC_TOPLEVEL_HPP
#define WXNC_TOPLEVEL_HPP 1

#include <wxnc/window.hpp>
#include <wx/defs.h>
#include <wx/string.h>

class wxncTopLevelWindow : public wxncWindow {
    public:
	wxncTopLevelWindow(wxncWindow *, wxWindowID = wxID_ANY,
		const wxString & = wxEmptyString,
		const wxPoint & = wxDefaultPosition,
		const wxSize & = wxDefaultSize, long = 0,
		const wxString & = wxEmptyString);
	virtual ~wxncTopLevelWindow(void);
	virtual void SetTitle(const wxString &);

    protected:
	void render_border(int, int, int, int);

	long m_toplevelwd_flags;
	wxString m_title;

    private:
	DECLARE_NO_COPY_CLASS(wxncTopLevelWindow);
};

#endif /* WXNC_TOPLEVEL_HPP */
